| Flutter macOS Embedder |

Instance Methods | Protected Attributes | Properties | List of all members
FlutterWindowOwner Class Reference
Inheritance diagram for FlutterWindowOwner:

## Instance Methods
(instancetype) | - initWithWindow:flutterViewController:creationRequest:

## Protected Attributes
NSWindow * | _window
FlutterViewController * | _flutterViewController
std::optional< flutter::Isolate > | _isolate
FlutterWindowCreationRequest | _creationRequest

## Properties
NSWindow * | window
FlutterViewController * | flutterViewController

## Detailed Description

Definition at line 16 of file FlutterWindowController.mm.

## Method Documentation

## ◆ initWithWindow:flutterViewController:creationRequest:

- (instancetype) initWithWindow: |  | (NSWindow*) | window
flutterViewController: |  | (FlutterViewController*) | viewController
creationRequest: |  | (const FlutterWindowCreationRequest&) | creationRequest

Definition at line 26 of file FlutterWindowController.mm.

62 :(NSWindow*)window
63 flutterViewController:(FlutterViewController*)viewController
64 creationRequest:(const FlutterWindowCreationRequest&)creationRequest {
65 if (self = [super init]) {
66 _window = window;
67 _flutterViewController = viewController;
68 _creationRequest = creationRequest;
69 _isolate = flutter::Isolate::Current();
70 }
71 return self;
72 }
flutter::Isolate::Current
static Isolate Current()
Definition: isolate_scope.cc:9
FlutterViewController
Definition: FlutterViewController.h:73
FlutterWindowOwner::_window
NSWindow * _window
Definition: FlutterWindowController.mm:19
FlutterWindowOwner::_flutterViewController
FlutterViewController * _flutterViewController
Definition: FlutterWindowController.mm:20
FlutterWindowOwner::window
NSWindow * window
Definition: FlutterWindowController.mm:25
FlutterWindowOwner::flutterViewController
FlutterViewController * flutterViewController
Definition: FlutterWindowController.mm:26
FlutterWindowOwner::_isolate
std::optional< flutter::Isolate > _isolate
Definition: FlutterWindowController.mm:21
FlutterWindowOwner::_creationRequest
FlutterWindowCreationRequest _creationRequest
Definition: FlutterWindowController.mm:22
FlutterWindowCreationRequest
Definition: FlutterWindowController.h:38

## Member Data Documentation

## ◆ _creationRequest

- (FlutterWindowCreationRequest) _creationRequest
| protected

Definition at line 22 of file FlutterWindowController.mm.

## ◆ _flutterViewController

- (FlutterViewController*) _flutterViewController
| protected

Definition at line 20 of file FlutterWindowController.mm.

## ◆ _isolate

- (optional<)flutter:
| protected

Definition at line 21 of file FlutterWindowController.mm.

## ◆ _window

- (NSWindow*) _window
| protected

Definition at line 19 of file FlutterWindowController.mm.

## Property Documentation

## ◆ flutterViewController

- (FlutterViewController*) flutterViewController
| readnonatomicassign

Definition at line 26 of file FlutterWindowController.mm.

## ◆ window

- (NSWindow*) window
| readnonatomicassign

Definition at line 25 of file FlutterWindowController.mm.

The documentation for this class was generated from the following file:

- shell/platform/darwin/macos/framework/Source/FlutterWindowController.mm